Page 2 of 2

Re: Fehlerhafte Installation von Version 2017.2 unter Linux Mint 18.1

Posted: Wed 5. Apr 2017, 12:51
by LinuxDonald
Naja könnte sein das er deswegen. "verwirrt ist"

Weil fife sollte in: /usr/lib/python2.7/site-packages/fife sein.

Re: Fehlerhafte Installation von Version 2017.2 unter Linux Mint 18.1

Posted: Wed 5. Apr 2017, 19:40
by Bluefish
Und da haben wir den Fehler auch schon :)

Du sagst fife muß in /usr/lib/python2.7/site-packages/fife sein.

Bei Linux Mint 18.1 ist es aber in /usr/lib/python2.7/dist-packages/fife (beides drinn fife und fifechan)

Wo und wie kann ich den Pfad in UH ändern das er das richtige Verzeichnis findet?
Muß gleich dazu sagen das ich mich mit phyton nicht auskenne da ich Grafiker bin.

Wäre nett wenn du mir helfen könntest.

Re: Fehlerhafte Installation von Version 2017.2 unter Linux Mint 18.1

Posted: Wed 5. Apr 2017, 20:36
by Bluefish
Hab den Fehler gefunden :D

Ich hatte in meinem Spiele Verzeichnis den fife und fifechan git Ordner und meinen UH Ordner das hat ihn verwirrt. Habe nun den fife und fifechan git Ordner gelöscht und das Spiel gestartet nun läuft es :D

Ein einziges Problem ist das es hier und da abstürzt, das hatte ich aber auch schon bei der Version von 2014. Vielleicht gibts einen Tipp woran das liegen könnte.

Trotzdem sehr gute Arbeit tolles Spiel, weiter so Jungs :)

Ich werde dann mal ein Script anfertigen damit die Installation ein wenig Automatisiert wird :D

Re: Fehlerhafte Installation von Version 2017.2 unter Linux Mint 18.1

Posted: Fri 7. Apr 2017, 13:06
by LinuxDonald
Kannst uns gerne die Fehlermeldungen zu kommen lasse :)

Re: Fehlerhafte Installation von Version 2017.2 unter Linux Mint 18.1

Posted: Sat 8. Apr 2017, 18:43
by Bluefish
Wenn das Spiel abbricht steht in der Konsole immer:

Speicherzugriffsfehler

und manchmal auch das:

RuntimeError: Caught a director exception
AL lib: (EE) alc_cleanup: 1 device not closed

Re: Fehlerhafte Installation von Version 2017.2 unter Linux Mint 18.1

Posted: Mon 10. Apr 2017, 04:36
by LinuxDonald
So ein Fehler muss schon gedbugt werden. Wir arbeiten zur Zeit an einem Python 3 port von UH könnte sein das damit dann dieser Fehler nicht mehr auftritt.

Re: Fehlerhafte Installation von Version 2017.2 unter Linux Mint 18.1

Posted: Mon 10. Apr 2017, 10:54
by Bluefish
Sehr gut. Ist voll eigenartig manchmal kann ich länger spielen, manchmal stürzt es gleich ab.

Dann werd ich wohl auf den Python 3 Port warten.

Teste auch gerne neue Versionen für euch wenn ihr wollt.

Re: Fehlerhafte Installation von Version 2017.2 unter Linux Mint 18.1

Posted: Tue 11. Apr 2017, 04:52
by LinuxDonald
Ich melde mich dann sobald wir Tester brauchen :)

Re: Fehlerhafte Installation von Version 2017.2 unter Linux Mint 18.1

Posted: Tue 11. Apr 2017, 06:45
by Bluefish
Kein Problem :)